Reliable_update

## Enumerations

enum | reliable_update_option_t { kReliableUpdateOption_Normal = 0x0U, kReliableUpdateOption_Swap = 0x1U }
enum | specified_application_type_t { kSpecifiedApplicationType_Main = 0x0U, kSpecifiedApplicationType_Backup = 0x1U }

enum

_reliable_update_status {
kStatus_ReliableUpdateSuccess = MAKE_STATUS(kStatusGroup_ReliableUpdate, 0),
kStatus_ReliableUpdateFail = MAKE_STATUS(kStatusGroup_ReliableUpdate, 1),
kStatus_ReliableUpdateInacive,
kStatus_ReliableUpdateBackupApplicationInvalid,
kStatus_ReliableUpdateStillInMainApplication,
kStatus_ReliableUpdateSwapSystemNotReady,
kStatus_ReliableUpdateBackupBootloaderNotReady,
kStatus_ReliableUpdateSwapIndicatorAddressInvalid
}

| Application crc check status codes. More...

## Functions

void | bootloader_reliable_update_as_requested (reliable_update_option_t option, uint32_t address)

## Usage Information

## Enumeration Type Documentation

enum _reliable_update_status

Application crc check status codes.

Enumerator
kStatus_ReliableUpdateSuccess | Reliable Update succeeded.
kStatus_ReliableUpdateFail | Reliable Update failed.
kStatus_ReliableUpdateInacive | Reliable Update Feature is inactive.
kStatus_ReliableUpdateBackupApplicationInvalid | Backup Application is invalid.
kStatus_ReliableUpdateStillInMainApplication | Next boot will be still in Main Application.
kStatus_ReliableUpdateSwapSystemNotReady | Cannot swap flash by default because swap system is not ready.
kStatus_ReliableUpdateBackupBootloaderNotReady | Cannot swap flash because there is no valid backup bootloader.
kStatus_ReliableUpdateSwapIndicatorAddressInvalid | Cannot swap flash because provided swap indicator is invalid.

enum reliable_update_option_t

Enumerator
kReliableUpdateOption_Normal | Normal option, Update main appliction only if it is invalid.
kReliableUpdateOption_Swap | Swap option, Always update main appliction.